Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp_optics.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp_optics.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp_optics.F90	(revision 5158)
@@ -69,5 +69,5 @@
     
     varOUT(1:dim1,1:dim2,1:dim3) = 0._wp
-    do j=1,dim2
+    DO j=1,dim2
        where(flag(:,j,:) .eq. 1)
           varOUT(:,j,:) = varIN2
@@ -133,5 +133,5 @@
     
     
-    do i=1,npoints
+    DO i=1,npoints
        where(cloudIce(i,:, :) <= 0.) 
           fracL(:, :) = 1._wp
@@ -168,6 +168,6 @@
     w0(1:nPoints,1:nSubCols,1:nLevels) = 0._wp
     
-    do j =1,nPoints
-       do i=1,nSubCols
+    DO j =1,nPoints
+       DO i=1,nSubCols
           water_g(1:nLevels)  = get_g_nir(  phaseIsLiquid, sizeLIQ(j,i,1:nLevels)) 
           water_w0(1:nLevels) = get_ssa_nir(phaseIsLiquid, sizeLIQ(j,i,1:nLevels))
@@ -187,5 +187,5 @@
     
     ! Compute the total optical thickness and the proportion due to liquid in each cell
-    do i=1,npoints
+    DO i=1,npoints
        where(tauLIQ(i,1:nSubCols,1:nLevels) + tauICE(i,1:nSubCols,1:nLevels) > 0.) 
           fracLIQ(i,1:nSubCols,1:nLevels) = tauLIQ(i,1:nSubCols,1:nLevels)/ &
@@ -317,5 +317,5 @@
     ! Altitude at half pressure levels:
     zheight(1:npoints,nlev+1) = 0._wp
-    do k=nlev,1,-1
+    DO k=nlev,1,-1
        zheight(1:npoints,k) = zheight(1:npoints,k+1) &
             -(presf(1:npoints,k)-presf(1:npoints,k+1))/(rhoair(1:npoints,k)*grav)
@@ -349,5 +349,5 @@
     ! ##############################################################################
     ! Polynomials kp_lidar derived from Mie theory
-    do i = 1, npart
+    DO i = 1, npart
        where (rad_part(1:npoints,1:nlev,i) .gt. 0.0)
           kp_part(1:npoints,1:nlev,i) = &
@@ -363,5 +363,5 @@
     
     ! Loop over all subcolumns
-    do icol=1,ncolumns
+    DO icol=1,ncolumns
        ! ##############################################################################
        ! Mixing ratio particles in each subcolum
@@ -376,5 +376,5 @@
        ! ##############################################################################
        ! Alpha of particles in each subcolumn:
-       do i = 1, npart
+       DO i = 1, npart
           where (rad_part(1:npoints,1:nlev,i) .gt. 0.0)
              alpha_part(1:npoints,icol,1:nlev,i) = 3._wp/4._wp * Qscat &
@@ -388,10 +388,10 @@
        ! Optical thicknes
        tau_part(1:npoints,icol,1:nlev,1:npart) = rdiffm * alpha_part(1:npoints,icol,1:nlev,1:npart)
-       do i = 1, npart
+       DO i = 1, npart
           ! Optical thickness of each layer (particles)
           tau_part(1:npoints,icol,1:nlev,i) = tau_part(1:npoints,icol,1:nlev,i) &
                & * (zheight(1:npoints,1:nlev)-zheight(1:npoints,2:nlev+1) )
           ! Optical thickness from TOA to layer k (particles)
-          do k=2,nlev
+          DO k=2,nlev
              tau_part(1:npoints,icol,k,i) = tau_part(1:npoints,icol,k,i) + tau_part(1:npoints,icol,k-1,i)
           enddo
@@ -434,5 +434,5 @@
     tautot_S_liq(1:npoints,1:ncolumns) = 0._wp
     tautot_S_ice(1:npoints,1:ncolumns) = 0._wp
-    do icol=1,ncolumns    
+    DO icol=1,ncolumns
        tautot_S_liq(1:npoints,icol) = tautot_S_liq(1:npoints,icol)+tau_part(1:npoints,icol,nlev,1)+tau_part(1:npoints,icol,nlev,3)
        tautot_S_ice(1:npoints,icol) = tautot_S_ice(1:npoints,icol)+tau_part(1:npoints,icol,nlev,2)+tau_part(1:npoints,icol,nlev,4)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp_output_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp_output_mod.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp_output_mod.F90	(revision 5158)
@@ -75,5 +75,5 @@
          "clmcalipsoice", "CALIPSO Ice-Phase Mid Level Cloud Fraction", "%", (/ ('', i=1, 3) /))
   TYPE(ctrl_outcosp), SAVE :: o_clmcalipsoliq = ctrl_outcosp((/ .TRUE., .TRUE., .TRUE. /), &
-         "clmcalipsoliq", "CALIPSO Liq-Phase Mid Level Cloud Fraction", "%", (/ ('', i=1, 3) /))	 	 
+         "clmcalipsoliq", "CALIPSO Liq-Phase Mid Level Cloud Fraction", "%", (/ ('', i=1, 3) /))
   TYPE(ctrl_outcosp), SAVE :: o_clhcalipsoice = ctrl_outcosp((/ .TRUE., .TRUE., .TRUE. /), & 
          "clhcalipsoice", "CALIPSO Ice-Phase High Level Cloud Fraction", "%", (/ ('', i=1, 3) /))  
@@ -83,5 +83,5 @@
          "cltcalipsoice", "CALIPSO Ice-Phase Tot Level Cloud Fraction", "%", (/ ('', i=1, 3) /))
   TYPE(ctrl_outcosp), SAVE :: o_cltcalipsoliq = ctrl_outcosp((/ .TRUE., .TRUE., .TRUE. /), &
-         "cltcalipsoliq", "CALIPSO Liq-Phase Tot Level Cloud Fraction", "%", (/ ('', i=1, 3) /))	 	 
+         "cltcalipsoliq", "CALIPSO Liq-Phase Tot Level Cloud Fraction", "%", (/ ('', i=1, 3) /))
   TYPE(ctrl_outcosp), SAVE :: o_cllcalipsoun = ctrl_outcosp((/ .TRUE., .TRUE., .TRUE. /), & 
          "cllcalipsoun", "CALIPSO Undefined-Phase Low Level Cloud Fraction", "%", (/ ('', i=1, 3) /))  
@@ -97,5 +97,5 @@
          "clcalipsoliq", "Lidar Liq-Phase Cloud Fraction", "%", (/ ('', i=1, 3) /))
   TYPE(ctrl_outcosp), SAVE :: o_clcalipsoun = ctrl_outcosp((/ .TRUE., .TRUE., .TRUE. /), &
-         "clcalipsoun", "Lidar Undef-Phase Cloud Fraction", "%", (/ ('', i=1, 3) /))	 
+         "clcalipsoun", "Lidar Undef-Phase Cloud Fraction", "%", (/ ('', i=1, 3) /))
   TYPE(ctrl_outcosp), SAVE :: o_clcalipsotmpice = ctrl_outcosp((/ .TRUE., .TRUE., .TRUE. /), &
          "clcalipsotmpice", "Lidar Ice-Phase Cloud Fraction", "%", (/ ('', i=1, 3) /))
@@ -118,7 +118,7 @@
          "clcalipsothin", "Lidar Thin profile Cloud Fraction", "%", (/ ('', i=1, 3) /))         !OPAQ
   TYPE(ctrl_outcosp), SAVE :: o_clcalipsozopaque = ctrl_outcosp((/ .TRUE., .TRUE., .TRUE. /), & !OPAQ
-         "clcalipsozopaque", "Lidar z_opaque Fraction", "%", (/ ('', i=1, 3) /))	        !OPAQ
+         "clcalipsozopaque", "Lidar z_opaque Fraction", "%", (/ ('', i=1, 3) /))            !OPAQ
   TYPE(ctrl_outcosp), SAVE :: o_clcalipsoopacity = ctrl_outcosp((/ .TRUE., .TRUE., .TRUE. /), & !OPAQ
-         "clcalipsoopacity", "Lidar opacity Fraction", "%", (/ ('', i=1, 3) /))	                !OPAQ
+         "clcalipsoopacity", "Lidar opacity Fraction", "%", (/ ('', i=1, 3) /))                    !OPAQ
 
   TYPE(ctrl_outcosp), SAVE :: o_proftemp = ctrl_outcosp((/ .TRUE., .TRUE., .TRUE. /), &         !TIBO
@@ -254,5 +254,5 @@
   integer                  :: Nlevlmdz, Ncolumns      ! Number of levels
   real,dimension(Nlevlmdz) :: presnivs
-  real                     :: dtime, freq_cosp, ecrit_day, ecrit_hf, ecrit_mth 
+  REAL                     :: dtime, freq_cosp, ecrit_day, ecrit_hf, ecrit_mth
   logical                  :: use_vgrid
   logical                  :: ok_mensuelCOSP, ok_journeCOSP, ok_hfCOSP, ok_all_xml
@@ -262,5 +262,5 @@
 !!! Variables locales
   integer                   :: idayref, iff, ii
-  real                      :: zjulian,zjulian_start
+  REAL                      :: zjulian,zjulian_start
   real(wp),dimension(Ncolumns)  :: column_ax
   real(wp),dimension(DBZE_BINS) ::  dbze_ax
@@ -283,9 +283,9 @@
 
 !! Definition valeurs axes
-    do ii=1,Ncolumns
+    DO ii=1,Ncolumns
       column_ax(ii) = real(ii)
     enddo
 
-    do i=1,DBZE_BINS
+    DO i=1,DBZE_BINS
      dbze_ax(i) = CFAD_ZE_MIN + CFAD_ZE_WIDTH*(i - 0.5)
     enddo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp_output_write_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp_output_write_mod.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp_output_write_mod.F90	(revision 5158)
@@ -41,5 +41,5 @@
 !!! Variables d'entree
   integer               :: itap, Nlevlmdz, Ncolumns, Npoints
-  real                  :: freq_COSP, dtime, missing_val, missing_cosp
+  REAL                  :: freq_COSP, dtime, missing_val, missing_cosp
   type(cosp_config)     :: cfg     ! Control outputs
   type(cosp_gridbox)    :: gbx     ! Gridbox information. Input for COSP
@@ -172,5 +172,5 @@
   IF (using_xios) THEN
 
-    do icl=1,SR_BINS
+    DO icl=1,SR_BINS
       tmp_fi4da_cfadL(:,:,icl)=stlidar%cfad_sr(:,icl,:)
     enddo
@@ -180,5 +180,5 @@
   ELSE
     if (cfg%LcfadLidarsr532) then
-      do icl=1,SR_BINS
+      DO icl=1,SR_BINS
         CALL histwrite3d_cosp(o_cfad_lidarsr532,stlidar%cfad_sr(:,icl,:),nvert,icl)
       enddo
@@ -194,6 +194,6 @@
 
   if (cfg%LparasolRefl) then 
-    do k=1,PARASOL_NREFL
-     do ip=1, Npoints
+    DO k=1,PARASOL_NREFL
+     DO ip=1, Npoints
       if (stlidar%cldlayer(ip,4).gt.1.and.stlidar%parasolrefl(ip,k).ne.missing_val) then
         parasolcrefl(ip,k)=(stlidar%parasolrefl(ip,k)-0.03*(1.-stlidar%cldlayer(ip,4)/100.))/ &
@@ -215,5 +215,5 @@
   ELSE
     if (cfg%Latb532) then  
-      do icl=1,Ncolumns 
+      DO icl=1,Ncolumns
         CALL histwrite3d_cosp(o_atb532,sglidar%beta_tot(:,icl,:),nvertmcosp,icl)
       enddo
@@ -230,5 +230,5 @@
    where(stradar%cfad_ze == R_UNDEF) stradar%cfad_ze = missing_val
   IF (using_xios) THEN
-    do icl=1,DBZE_BINS
+    DO icl=1,DBZE_BINS
       tmp_fi4da_cfadR(:,:,icl)=stradar%cfad_ze(:,icl,:)
     enddo
@@ -238,10 +238,10 @@
   ELSE
     if (cfg%Ldbze94) then
-      do icl=1,Ncolumns
+      DO icl=1,Ncolumns
         CALL histwrite3d_cosp(o_dbze94,sgradar%Ze_tot(:,icl,:),nvert,icl)
       enddo
      endif
      if (cfg%LcfadDbze94) then
-       do icl=1,DBZE_BINS
+       DO icl=1,DBZE_BINS
          CALL histwrite3d_cosp(o_cfadDbze94,stradar%cfad_ze(:,icl,:),nvert,icl)
        enddo
@@ -278,5 +278,5 @@
   ELSE
     if (cfg%Lclisccp) then
-      do icl=1,7
+      DO icl=1,7
         CALL histwrite3d_cosp(o_clisccp2,isccp%fq_isccp(:,icl,:),nvertisccp,icl) 
       enddo
@@ -299,5 +299,5 @@
 
   IF (using_xios) THEN
-    do icl=1,numMISRHgtBins
+    DO icl=1,numMISRHgtBins
       tmp_fi4da_misr(:,icl,:)=misr%fq_MISR(:,:,icl)
     enddo
@@ -306,5 +306,5 @@
   ELSE
     if (cfg%LclMISR) then
-      do icl=1,7 
+      DO icl=1,7
         CALL histwrite3d_cosp(o_clMISR,misr%fq_MISR(:,icl,:),nvertmisr,icl)
       enddo
@@ -379,5 +379,5 @@
   ELSE
     if (cfg%Lclmodis) then
-     do icl=1,7
+     DO icl=1,7
        CALL histwrite3d_cosp(o_clmodis, &
          modis%Optical_Thickness_vs_Cloud_Top_Pressure(:,icl,:),nvertisccp,icl)           
@@ -397,5 +397,5 @@
     ELSE
       if (cfg%Lclmodis) then
-        do icl=1,7
+        DO icl=1,7
           CALL histwrite3d_cosp(o_crimodis, &
              modis%Optical_Thickness_vs_ReffIce(:,icl,:),nvertReffIce,icl)
@@ -403,5 +403,5 @@
       endif
       if (cfg%Lclmodis) then
-        do icl=1,7 
+        DO icl=1,7
            CALL histwrite3d_cosp(o_crlmodis, &
               modis%Optical_Thickness_vs_ReffLiq(:,icl,:),nvertReffLiq,icl)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp_read_otputkeys.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp_read_otputkeys.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp_read_otputkeys.F90	(revision 5158)
@@ -29,5 +29,5 @@
 
                 
-   do i=1,78
+   DO i=1,78
       cfg%out_list(i)=''
    enddo
@@ -132,5 +132,5 @@
 
 
-   do i=1,78
+   DO i=1,78
       cfg%out_list(i)=''
    enddo
@@ -271,5 +271,5 @@
              LprofSR,Lproftemp                                                                        !TIBO (2)
    
-  do i=1,78
+  DO i=1,78
     cfg%out_list(i)=''
   enddo
@@ -780,5 +780,5 @@
  IF (using_xios) THEN
 
-  do i=1,78
+  DO i=1,78
     cfg%out_list(i)=''
   enddo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp_stats.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp_stats.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp_stats.F90	(revision 5158)
@@ -80,5 +80,5 @@
    r = 0._wp
 
-   do i=1,Npoints
+   DO i=1,Npoints
      ! Calculate tops and bottoms of new and old grids
      oldgrid_bot = zhalf(i,:)
@@ -87,9 +87,9 @@
      l = 0 ! Index of level in the old grid
      ! Loop over levels in the new grid
-     do k = 1,Nglevels
+     DO k = 1,Nglevels
        Nw = 0 ! Number of weigths
        wt = 0._wp ! Sum of weights
        ! Loop over levels in the old grid and accumulate total for weighted average
-       do
+       DO
          l = l + 1
          w = 0.0 ! Initialise weight to 0
@@ -118,5 +118,5 @@
              Nw = Nw + 1
              wt = wt + w
-             do j=1,Ncolumns
+             DO j=1,Ncolumns
                if (lunits) then
                  if (y(i,j,l) /= R_UNDEF) then
@@ -137,5 +137,5 @@
        ! Calculate average in new grid
        if (Nw > 0) then
-         do j=1,Ncolumns
+         DO j=1,Ncolumns
            r(i,j,k) = r(i,j,k)/wt
          enddo
@@ -145,7 +145,7 @@
 
    ! Set points under surface to R_UNDEF, and change to dBZ if necessary
-   do k=1,Nglevels
-     do j=1,Ncolumns
-       do i=1,Npoints
+   DO k=1,Nglevels
+     DO j=1,Ncolumns
+       DO i=1,Npoints
          if (newgrid_top(k) > zhalf(i,1)) then ! Level above model bottom level
            if (lunits) then
@@ -197,9 +197,9 @@
     lidar_only_freq_cloud = 0._wp
     tcc = 0._wp
-    do pr=1,Npoints
-       do i=1,Ncolumns
+    DO pr=1,Npoints
+       DO i=1,Ncolumns
           flag_sat = 0
           flag_cld = 0
-          do j=1,Nlevels
+          DO j=1,Nlevels
              sc_ratio = beta_tot(pr,i,j)/beta_mol(pr,j)
              if ((sc_ratio .le. s_att) .and. (flag_sat .eq. 0)) flag_sat = j
@@ -244,5 +244,5 @@
     integer :: ij
     
-    do ij=2,Nbins+1  
+    DO ij=2,Nbins+1
        hist1D(ij-1) = count(var .ge. bins(ij-1) .and. var .lt. bins(ij))
        if (count(var .eq. R_GROUND) .ge. 1) hist1D(ij-1)=R_UNDEF
@@ -276,6 +276,6 @@
     integer :: ij,ik
     
-    do ij=2,nbin1+1
-       do ik=2,nbin2+1
+    DO ij=2,nbin1+1
+       DO ik=2,nbin2+1
           jointHist(ij-1,ik-1)=count(var1 .ge. bin1(ij-1) .and. var1 .lt. bin1(ij) .and. &
                var2 .ge. bin2(ik-1) .and. var2 .lt. bin2(ik))        
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp_utils.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp_utils.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp_utils.F90	(revision 5158)
@@ -67,7 +67,7 @@
         delta = (alpha_x + b_x + d_x - n_bx + 1._wp)
         
-        do k=1,Nlevels
-            do j=1,Ncolumns
-                do i=1,Npoints
+        DO k=1,Nlevels
+            DO j=1,Ncolumns
+                DO i=1,Npoints
                     if ((prec_frac(i,j,k)==prec_type).or.(prec_frac(i,j,k)==3.)) then
                         rho = p(i,k)/(287.05_wp*T(i,k))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/icarus.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/icarus.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/icarus.F90	(revision 5158)
@@ -135,8 +135,8 @@
     
     if (debugcol.ne.0) then
-       do j=1,npoints,debugcol
+       DO j=1,npoints,debugcol
           
           ! Produce character output
-          do ilev=1,nlev
+          DO ilev=1,nlev
              acc(ilev,1:ncol)=frac_out(j,1:ncol,ilev)*2
              where(levmatch(j,1:ncol) .eq. ilev) acc(ilev,1:ncol)=acc(ilev,1:ncol)+1
@@ -151,5 +151,5 @@
           write(9,'(a1)') ' '
           
-          do ibox=1,ncol
+          DO ibox=1,ncol
              write(9,'(40(a1),1x,40(a1))') &
                   (cchar_realtops(acc(ilev,ibox)+1),ilev=1,nlev),&
@@ -231,5 +231,5 @@
        itrop(1:npoints)     = 1
 
-       do ilev=1,nlev
+       DO ilev=1,nlev
           where(pfull(1:npoints,ilev) .lt. 40000. .and. &
                 pfull(1:npoints,ilev) .gt.  5000. .and. &
@@ -242,5 +242,5 @@
        enddo
 
-       do ilev=1,nlev
+       DO ilev=1,nlev
           atmax(1:npoints) = merge(at(1:npoints,ilev),atmax(1:npoints),&
                at(1:npoints,ilev) .gt. atmax(1:npoints) .and. ilev  .ge. itrop(1:npoints))
@@ -256,5 +256,5 @@
        ! at a wavenumber of 955 cm-1, or 10.47 microns 
        ! ############################################################################
-       do ilev=1,nlev
+       DO ilev=1,nlev
           press(1:npoints)  = pfull(1:npoints,ilev)*10._wp
           dpress(1:npoints) = (phalf(1:npoints,ilev+1)-phalf(1:npoints,ilev))*10
@@ -273,5 +273,5 @@
        fluxtop_clrsky(1:npoints)            = 0._wp
        trans_layers_above_clrsky(1:npoints) = 1._wp
-       do ilev=1,nlev
+       DO ilev=1,nlev
           ! Black body emission at temperature of the layer
           bb(1:npoints) = 1._wp / ( exp(1307.27_wp/at(1:npoints,ilev)) - 1._wp )
@@ -300,9 +300,9 @@
        fluxtop(1:npoints,1:ncol)            = 0._wp
        trans_layers_above(1:npoints,1:ncol) = 1._wp
-       do ilev=1,nlev
+       DO ilev=1,nlev
           ! Black body emission at temperature of the layer
           bb=1._wp/(exp(1307.27_wp/at(1:npoints,ilev)) - 1._wp)
           
-          do ibox=1,ncol
+          DO ibox=1,ncol
              ! Emissivity
              dem(1:npoints,ibox) = merge(dem_wv(1:npoints,ilev), &
@@ -320,5 +320,5 @@
        ! Add in surface emission
        bb(1:npoints)=1._wp/( exp(1307.27_wp/skt(1:npoints)) - 1._wp )
-       do ibox=1,ncol
+       DO ibox=1,ncol
           fluxtop(1:npoints,ibox) = fluxtop(1:npoints,ibox) + emsfc_lw*bb(1:npoints)*trans_layers_above(1:npoints,ibox) 
        end do
@@ -344,10 +344,10 @@
        btcmin(1:npoints) = 1._wp /  ( exp(1307.27_wp/(attrop(1:npoints)-5._wp)) - 1._wp ) 
 
-       do ibox=1,ncol
+       DO ibox=1,ncol
           transmax(1:npoints) = (fluxtop(1:npoints,ibox)-btcmin) /(fluxtop_clrsky(1:npoints)-btcmin(1:npoints))
           tauir(1:npoints)    = tau(1:npoints,ibox)/2.13_wp
           taumin(1:npoints)   = -log(max(min(transmax(1:npoints),0.9999999_wp),0.001_wp))
           if (isccp_top_height .eq. 1) then
-             do j=1,npoints  
+             DO j=1,npoints
                 if (transmax(j) .gt. 0.001 .and.  transmax(j) .le. 0.9999999) then
                    fluxtopinit(j) = fluxtop(j,ibox)
@@ -355,6 +355,6 @@
                 endif
              enddo
-             do icycle=1,2
-                do j=1,npoints  
+             DO icycle=1,2
+                DO j=1,npoints
                    if (tau(j,ibox) .gt. (tauchk)) then 
                       if (transmax(j) .gt. 0.001 .and.  transmax(j) .le. 0.9999999) then
@@ -397,5 +397,5 @@
     ! pressure (isccp_top_height = 1 or 3)
     ! ####################################################################################
-    do ibox=1,ncol
+    DO ibox=1,ncol
        !segregate according to optical thickness
        if (isccp_top_height .eq. 1 .or. isccp_top_height .eq. 3) then  
@@ -403,7 +403,7 @@
           ! Find level whose temperature most closely matches brightness temperature
           nmatch(1:npoints)=0
-          do k1=1,nlev-1
+          DO k1=1,nlev-1
              ilev = merge(nlev-k1,k1,isccp_top_height_direction .eq. 2)        
-             do j=1,npoints 
+             DO j=1,npoints
                 if (ilev           .ge. itrop(j)     .and. &
                      ((at(j,ilev)  .ge. tb(j,ibox)   .and. &  
@@ -417,5 +417,5 @@
           enddo
 
-          do j=1,npoints 
+          DO j=1,npoints
              if (nmatch(j) .ge. 1) then
                 k1 = match(j,nmatch(j))
@@ -440,5 +440,5 @@
        else
           ptop(1:npoints,ibox)=0.
-          do ilev=1,nlev
+          DO ilev=1,nlev
              where((ptop(1:npoints,ibox) .eq. 0. ) .and.(frac_out(1:npoints,ibox,ilev) .ne. 0))
                 ptop(1:npoints,ibox)=phalf(1:npoints,ilev)
@@ -458,6 +458,6 @@
     boxtau(1:npoints,1:ncol)  = output_missing_value
     boxptop(1:npoints,1:ncol) = output_missing_value
-    do ibox=1,ncol
-       do j=1,npoints 
+    DO ibox=1,ncol
+       DO j=1,npoints
           if (tau(j,ibox) .gt. (tauchk) .and. ptop(j,ibox) .gt. 0.) then
              if (sunlit(j).eq.1 .or. isccp_top_height .eq. 3) then
@@ -532,10 +532,10 @@
     ! Reset frequencies
     !fq_isccp = spread(spread(merge(0._wp,output_missing_value,sunlit .eq. 1 .or. isccp_top_height .eq. 3),2,7),2,7)
-    do ilev=1,7
-       do ilev2=1,7
-          do j=1,npoints ! 
+    DO ilev=1,7
+       DO ilev2=1,7
+          DO j=1,npoints !
              if (sunlit(j).eq.1 .or. isccp_top_height .eq. 3) then 
                 fq_isccp(j,ilev,ilev2)= 0.
-	     else 
+         else
                 fq_isccp(j,ilev,ilev2)= output_missing_value
              end if
@@ -559,5 +559,5 @@
     
     ! Compute column quantities and joint-histogram
-    do j=1,npoints 
+    DO j=1,npoints
        ! Subcolumns that are cloudy(true) and not(false)
        box_cloudy2(1:ncol) = merge(.true.,.false.,boxtau(j,1:ncol) .gt. tauchk .and. boxptop(j,1:ncol) .gt. 0.)
@@ -633,5 +633,5 @@
     
     varOUT(1:dim1,1:dim2,1:dim3) = 0._wp
-    do j=1,dim2
+    DO j=1,dim2
        where(flag(:,j,:) .eq. 1)
           varOUT(:,j,:) = varIN2
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/lidar_simulator.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/lidar_simulator.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/lidar_simulator.F90	(revision 5158)
@@ -142,5 +142,5 @@
     ! PLANE PARRALLEL FIELDS
     ! ####################################################################################
-    do icol=1,ncolumns
+    DO icol=1,ncolumns
        ! #################################################################################
        ! *) Total Backscatter signal
@@ -165,5 +165,5 @@
     ! PERDENDICULAR FIELDS
     ! ####################################################################################
-    do icol=1,ncolumns
+    DO icol=1,ncolumns
 
        ! #################################################################################
@@ -172,5 +172,5 @@
        ! Computation of ATBperp,ice/liq from ATBice/liq including the multiple scattering 
        ! contribution (Cesana and Chepfer 2013, JGR)
-       do k=1,nlev
+       DO k=1,nlev
           ! Ice particles
           pnorm_perp_ice(1:npoints,icol,k) = Alpha * pnorm_ice(1:npoints,icol,k)
@@ -208,5 +208,5 @@
              
        ! Other layers
-       do k=2,nlev
+       DO k=2,nlev
           ! Optical thickness of layer k
           tautot_lay(1:npoints) = tautot(1:npoints,icol,k)-tautot(1:npoints,icol,k-1) 
@@ -316,5 +316,5 @@
     ! Compute LIDAR scattering ratio
     if (use_vgrid) then
-       do ic = 1, ncol
+       DO ic = 1, ncol
           pnorm_c = pnormFlip(:,ic,:)
           where ((pnorm_c .lt. xmax) .and. (betamolFlip(:,1,:) .lt. xmax) .and.          &
@@ -331,5 +331,5 @@
                          lidarcld,cldlayer,lidarcldphase,cldlayerphase,lidarcldtmp)                           
     else
-       do ic = 1, ncol
+       DO ic = 1, ncol
           pnorm_c = pnorm(:,ic,:)
           where ((pnorm_c.lt.xmax) .and. (pmol.lt.xmax) .and. (pmol.gt. 0.0 ))
@@ -349,6 +349,6 @@
     if (ok_lidar_cfad) then
        ! CFADs of subgrid-scale lidar scattering ratios
-       do i=1,Npoints
-          do j=1,llm
+       DO i=1,Npoints
+          DO j=1,llm
              cfad2(i,:,j) = hist1D(ncol,x3d(i,:,j),SR_BINS,calipso_histBsct)
           enddo
@@ -387,5 +387,5 @@
 
     ! Other layers
-    do k=2,nlev
+    DO k=2,nlev
        tautot_lay(:) = tau(:,k)-tau(:,k-1) 
        WHERE ( EXP(-2._wp*tau(:,k-1)) .gt. 0. )
@@ -416,5 +416,5 @@
 
     beta(:,1) = pnorm(:,1) * (2._wp*tau(:,1))/(1._wp-exp(-2._wp*tau(:,1)))
-    do k=2,nlev
+    DO k=2,nlev
        tautot_lay(:) = tau(:,k)-tau(:,k-1)       
        WHERE ( EXP(-2._wp*tau(:,k-1)) .gt. 0. )
@@ -458,5 +458,5 @@
        zeta50    = -9.4776e-07_wp    ! 
        
-	! Inputs
+    ! Inputs
     integer,intent(in) :: &
        Npoints,  & ! Number of gridpoints
@@ -465,5 +465,5 @@
        Ncat,     & ! Number of cloud layer types
        Nphase      ! Number of cloud layer phase types
-	               ! [ice,liquid,undefined,false ice,false liquid,Percent of ice]
+                   ! [ice,liquid,undefined,false ice,false liquid,Percent of ice]
     real(wp),intent(in) :: &
        S_att,    & !
@@ -479,5 +479,5 @@
        pplay       ! Pressure
 
-	! Outputs
+    ! Outputs
     real(wp),intent(out),dimension(Npoints,Ntemp,5) :: &
        lidarcldtemp  ! 3D Temperature 1=tot,2=ice,3=liq,4=undef,5=ice/ice+liq
@@ -514,5 +514,5 @@
              
     ! ####################################################################################
-	! 1) Initialize    
+    ! 1) Initialize
     ! ####################################################################################
     lidarcld              = 0._wp
@@ -537,5 +537,5 @@
     ! 2) Cloud detection
     ! ####################################################################################
-    do k=1,Nlevels
+    DO k=1,Nlevels
        ! Cloud detection at subgrid-scale:
        where ((x(:,:,k) .gt. S_cld) .and. (x(:,:,k) .ne. undef) )
@@ -560,12 +560,12 @@
     cldlay   = 0._wp
     nsublay  = 0._wp
-    do k=1,Nlevels
-       do ic = 1, Ncolumns
-          do ip = 1, Npoints
+    DO k=1,Nlevels
+       DO ic = 1, Ncolumns
+          DO ip = 1, Npoints
           
              ! Computation of the cloud fraction as a function of the temperature instead
              ! of height, for ice,liquid and all clouds
              if(srok(ip,ic,k).gt.0.)then
-                do itemp=1,Ntemp
+                DO itemp=1,Ntemp
                    if( (tmp(ip,k).ge.tempmod(itemp)).and.(tmp(ip,k).lt.tempmod(itemp+1)) )then
                       lidarcldtempind(ip,itemp)=lidarcldtempind(ip,itemp)+1._wp
@@ -575,5 +575,5 @@
              
              if(cldy(ip,ic,k).eq.1.)then
-                do itemp=1,Ntemp 
+                DO itemp=1,Ntemp
                    if( (tmp(ip,k) .ge. tempmod(itemp)).and.(tmp(ip,k) .lt. tempmod(itemp+1)) )then
                       lidarcldtemp(ip,itemp,1)=lidarcldtemp(ip,itemp,1)+1._wp
@@ -612,6 +612,6 @@
     cldlayer  = 0._wp
     nsublayer = 0._wp
-    do iz = 1, Ncat
-       do ic = 1, Ncolumns
+    DO iz = 1, Ncat
+       DO ic = 1, Ncolumns
           cldlayer(:,iz)  = cldlayer(:,iz)  + cldlay(:,ic,iz)
           nsublayer(:,iz) = nsublayer(:,iz) + nsublay(:,ic,iz)
@@ -631,7 +631,7 @@
     ! 4.1) For Cloudy pixels with 8.16km < z < 19.2km
     ! ####################################################################################
-    do ncol=1,Ncolumns
-       do i=1,Npoints          
-          do nlev=1,23 ! from 19.2km until 8.16km
+    DO ncol=1,Ncolumns
+       DO i=1,Npoints
+          DO nlev=1,23 ! from 19.2km until 8.16km
                p1 = pplay(1,nlev)
 
@@ -745,5 +745,5 @@
           ! ##############################################################################
           toplvlsat = 0
-          do nlev=24,Nlevels! from 8.16km until 0km
+          DO nlev=24,Nlevels! from 8.16km until 0km
              p1 = pplay(i,nlev)
 
@@ -868,5 +868,5 @@
           ! ##############################################################################
           if(toplvlsat.ne.0) then
-             do nlev = toplvlsat,Nlevels
+             DO nlev = toplvlsat,Nlevels
                 p1 = pplay(i,nlev)
                 if(cldy(i,ncol,nlev).eq.1.)then
@@ -920,7 +920,7 @@
 
     ! Compute Phase low mid high cloud fractions
-    do iz = 1, Ncat
-       do i=1,Nphase-3
-          do ic = 1, Ncolumns
+    DO iz = 1, Ncat
+       DO i=1,Nphase-3
+          DO ic = 1, Ncolumns
              cldlayerphase(:,iz,i)  = cldlayerphase(:,iz,i)  + cldlayphase(:,ic,iz,i)
              cldlayerphasesum(:,iz) = cldlayerphasesum(:,iz) + cldlayphase(:,ic,iz,i)
@@ -928,7 +928,7 @@
        enddo
     enddo
-    do iz = 1, Ncat
-       do i=4,5
-          do ic = 1, Ncolumns
+    DO iz = 1, Ncat
+       DO i=4,5
+          DO ic = 1, Ncolumns
              cldlayerphase(:,iz,i) = cldlayerphase(:,iz,i) + cldlayphase(:,ic,iz,i)
           enddo
@@ -944,5 +944,5 @@
     ENDWHERE
     
-    do i=1,Nphase-1
+    DO i=1,Nphase-1
        WHERE ( cldlayerphasesum(:,:).gt.0.0 )
           cldlayerphase(:,:,i) = (cldlayerphase(:,:,i)/cldlayerphasesum(:,:)) * cldlayer(:,:)
@@ -950,10 +950,10 @@
     enddo
     
-    do i=1,Npoints
-       do iz=1,Ncat
+    DO i=1,Npoints
+       DO iz=1,Ncat
           checkcldlayerphase=0.
           checkcldlayerphase2=0.
           if (cldlayerphasesum(i,iz) .gt. 0.0 )then
-             do ic=1,Nphase-3
+             DO ic=1,Nphase-3
                 checkcldlayerphase = checkcldlayerphase+cldlayerphase(i,iz,ic)
              enddo
@@ -964,5 +964,5 @@
     enddo
     
-    do i=1,Nphase-1
+    DO i=1,Nphase-1
        WHERE (nsublayer(:,:) .eq. 0.0)
           cldlayerphase(:,:,i) = undef
@@ -971,8 +971,8 @@
  
     ! Compute Phase 3D as a function of temperature
-    do nlev=1,Nlevels
-       do ncol=1,Ncolumns
-          do i=1,Npoints
-             do itemp=1,Ntemp
+    DO nlev=1,Nlevels
+       DO ncol=1,Ncolumns
+          DO i=1,Npoints
+             DO itemp=1,Ntemp
                 if(tmpi(i,ncol,nlev).gt.0.)then
                    if((tmpi(i,ncol,nlev) .ge. tempmod(itemp)) .and. (tmpi(i,ncol,nlev) .lt. tempmod(itemp+1)) )then
@@ -994,6 +994,6 @@
     
     ! Check temperature cloud fraction
-    do i=1,Npoints
-       do itemp=1,Ntemp
+    DO i=1,Npoints
+       DO itemp=1,Ntemp
           checktemp=lidarcldtemp(i,itemp,2)+lidarcldtemp(i,itemp,3)+lidarcldtemp(i,itemp,4)
           !if(checktemp .NE. lidarcldtemp(i,itemp,1))then
@@ -1013,5 +1013,5 @@
     ENDWHERE
     
-    do i=1,4
+    DO i=1,4
        WHERE(lidarcldtempind(:,:) .gt. 0.)
           lidarcldtemp(:,:,i) = lidarcldtemp(:,:,i)/lidarcldtempind(:,:)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/math_lib.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/math_lib.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/math_lib.F90	(revision 5158)
@@ -96,5 +96,5 @@
     else
        sumo = 0._wp
-       do j=i1,i2
+       DO j=i1,i2
           deltah = abs(s(i1+1)-s(i1))
           sumo = sumo + f(j)*deltah
@@ -204,5 +204,5 @@
     end if
     
-    do i = 2, ntab
+    DO i = 2, ntab
        if ( xtab(i) <= xtab(i-1) ) then
           lerror = .true.
@@ -239,5 +239,5 @@
     ihi = ntab
     
-    do i = 1, ntab
+    DO i = 1, ntab
        if ( a <= xtab(i) ) then
           exit
@@ -249,5 +249,5 @@
     ilo = min ( ilo, ntab - 1 )
     
-    do i = 1, ntab
+    DO i = 1, ntab
        if ( xtab(i) <= b ) then
           exit
@@ -263,5 +263,5 @@
 !ds    sum1 = 0.0D+00
     
-    do i = ilo, ihi
+    DO i = ilo, ihi
        
        x1 = xtab(i-1)
@@ -371,5 +371,5 @@
           ga=1._wp
           m1=x-1
-          do k=2,m1
+          DO k=2,m1
              ga=ga*k
           enddo
@@ -382,5 +382,5 @@
           m=int(z)
           r=1._wp
-          do k=1,m
+          DO k=1,m
              r=r*(z-k)
           enddo
@@ -390,5 +390,5 @@
        endif
        gr=g(26)
-       do k=25,1,-1
+       DO k=25,1,-1
           gr=gr*z+g(k)
        enddo
